Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225477 - Missing headers in poppler-devel?
Summary: Missing headers in poppler-devel?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 20:31 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-04 11:12:49 UTC


Attachments (Terms of Use)
spec file patch (deleted)
2007-02-01 20:46 UTC, Stephanos Manos
no flags Details | Diff
IRC Log from #poppler trying to get details about issue (deleted)
2007-02-04 18:33 UTC, Sindre Pedersen Bjørdal
no flags Details

Description Sindre Pedersen Bjørdal 2007-01-30 20:31:22 UTC
Description of problem:
Trying to build package of referencer, in it's readme it states the following:

"
NOTE TO FEDORA USERS: Unfortuately the poppler development packages in the defau
lt yum repositories are incomplete -- to build Referencer it is necessary to sep
arately download poppler source packages, and edit the Referencer Makefile to fi
nd this directory.  Note that the binary library itself is fine on Fedora, it's 
just the headers that are problematic, so once it is built it can be distributed
 without problems."


Using the poppler package as is, build of referencer fails. Leads me to believe
the referencer developer is right in that something is missing in the
poppler-devel package. Just what this is I haven't been able to determine as of
yet. 

Actual results:
Referencer build fails

Expected results:
Referencer should build

Comment 1 Sindre Pedersen Bjørdal 2007-01-30 22:29:47 UTC
For the devel package of poppler to have the needed headers is to be
build with --enable-xpdf-headers  ( Install unsupported xpdf headers. )

(thanks to Stephanos Manos for this info)

Comment 2 Stephanos Manos 2007-02-01 20:46:13 UTC
Created attachment 147141 [details]
spec file patch

The patch adds a suuport for the missing(?) xpdf headers producing an
additional package (poppler-addheaders-devel) and adds support for Qt4
producing the additional packages. Also fixes a couple of rpmlint errors

Comment 3 Gianluca Sforna 2007-02-02 07:55:27 UTC
I'd like to know whether the xpdf-headers are not enabled becasue they are too
new (AKA unstsable) or are deprecated so they will be removed in a later version
of poppler.

In the latter scenario, I guess it's a Referencer issue...

Comment 4 Sindre Pedersen Bjørdal 2007-02-04 18:33:52 UTC
Created attachment 147315 [details]
IRC Log from #poppler trying to get details about issue

Did a quick chat in #poppler to try to answer the question above. I think this
makes it very clear that I have no idea what I'm doing here and don't
understand anything about this issue what so ever, but maybe some of this is
still useful. The log is attached.

Comment 5 Gianluca Sforna 2007-02-05 08:00:42 UTC
(In reply to comment #4)
> Created an attachment (id=147315) [edit]
> IRC Log from #poppler trying to get details about issue

Thanks for this.

So, AFAICT, the point is those headers are considered "internals", that is,
nothing outside poppler itself should use them (I assume because the public
poppler interface in intended to achieve same or very similar goals)

It seems to me the ball should be bounced now in the Referencer field ( guess
what, I'm a tennis player... ;) ) in order to understand what the author find
lacking in the poppler public interface.

Though, a statement from the poppler maintainer would still be appreciated...


Comment 6 Sindre Pedersen Bjørdal 2007-03-04 11:12:49 UTC
I noticed the referencer developer of this bug, he agreed that this was a
referencer issue and I was told a rewrite of referencer to fix this will happen
at some time.


Note You need to log in before you can comment on or make changes to this bug.